---
title: Visit from Julian Dolby, IBM
---
[Julian Dolby](http://researcher.watson.ibm.com/researcher/view.php?person=us-dolby), a researcher at IBM's 
[Thomas J. Watson Research Center](http://www.research.ibm.com/labs/watson/index.shtml)
in New York visited the PSVG group for a week in December. Julian’s research focuses on static program analysis, 
software testing and the semantic web and during his visit, Julian worked with José Fragoso and Petar Maksimovic 
in a [symbolic analysis for JavaScript](https://psvg.doc.ic.ac.uk/research/javascript.html) 
based on JSIL and Rosette with the end goal of having a bug-finding tool for JavaScript.

[ROSETTE](https://github.com/juliandolby/rosette) is a solver-aided programming language 
that extends Racket with language constructs for program synthesis, verification, and more.